jQuery(document).ready(function() {
  cc.initialise({
    cookies: ccOptions.cookies,
    strings: {
      jqueryWarning: Drupal.t("Developer: Caution! In order to use Cookie Consent, you need to use jQuery 1.4.4 or higher."),
      noJsBlocksWarning: Drupal.t("Developer: Warning! It doesn't look like you have set up Cookie Consent correctly.  You must follow all steps of the setup guide at http://silktide.com/cookieconsent/code.  If you believe you are seeing this message in error, you can use the overridewarnings setting (see docs for more information)."),
      noKeyWarning: Drupal.t("Developer: Warning! You have set the plugin to only show within the EU, but you have not provided an API key for the IP Info DB.  Check the documentation at http://silktide.com/cookieconsent for more information"),
      invalidKeyWarning: Drupal.t("Developer: Warning! You must provide a valid API key for IP Info DB.  Check the documentation at http://silktide.com/cookieconsent for more information"),
      necessaryDefaultTitle: Drupal.t("Strictly necessary"),
      socialDefaultTitle: Drupal.t("Social media"),
      analyticsDefaultTitle: Drupal.t("Analytics"),
      advertisingDefaultTitle: Drupal.t("Advertising"),
      defaultTitle: Drupal.t("Default cookie title"),
      necessaryDefaultDescription: Drupal.t("Some cookies on this website are strictly necessary and cannot be disabled."),
      socialDefaultDescription: Drupal.t("Facebook, Twitter and other social websites need to know who you are to work properly."),
      analyticsDefaultDescription: Drupal.t("We anonymously measure your use of this website to improve your experience."),
      advertisingDefaultDescription: Drupal.t("Adverts will be chosen for you automatically based on your past behaviour and interests."),
      defaultDescription: Drupal.t("Default cookie description."),
      notificationTitle: Drupal.t("Your experience on this site will be improved by allowing cookies"),
      notificationTitleImplicit: Drupal.t("We use cookies to ensure you get the best experience on our website"),
      poweredBy: Drupal.t("Cookie Consent plugin for the EU cookie law"),
      privacyPolicy: Drupal.t("Privacy policy"),
      learnMore: Drupal.t("Learn more"),
      seeDetails: Drupal.t("see details"),
      seeDetailsImplicit: Drupal.t("change your settings"),
      hideDetails: Drupal.t("hide details"),
      savePreference: Drupal.t('Save preference'),
      saveForAllSites: Drupal.t('Save for all sites'),
      allowCookies: Drupal.t('Allow cookies'),
      allowCookiesImplicit: Drupal.t('Close'),
      allowForAllSites: Drupal.t('Allow for all sites'),
      customCookie: Drupal.t('This website uses a custom type of cookie which needs specific approval'),
      privacySettings: Drupal.t("Privacy settings"),
      privacySettingsDialogTitleA: Drupal.t("Privacy settings"),
      privacySettingsDialogTitleB: Drupal.t("for this website"),
      privacySettingsDialogSubtitle: Drupal.t("Some features of this website need your consent to remember who you are."),
      closeWindow: Drupal.t("Close window"),
      changeForAllSitesLink: Drupal.t("Change settings for all websites"),
      preferenceUseGlobal: Drupal.t('Use global setting'),
      preferenceConsent: Drupal.t("I consent"),
      preferenceDecline: Drupal.t("I decline"),
      preferenceAsk: Drupal.t('Ask me each time'),
      preferenceAlways: Drupal.t("Always allow"),
      preferenceNever: Drupal.t("Never allow"),
      notUsingCookies: Drupal.t("This website does not use any cookies."),
      clearedCookies: Drupal.t("Your cookies have been cleared, you will need to reload this page for the settings to have effect."),
      allSitesSettingsDialogTitleA: Drupal.t("Privacy settings"),
      allSitesSettingsDialogTitleB: Drupal.t("for all websites"),
      allSitesSettingsDialogSubtitle: Drupal.t("You may consent to these cookies for all websites that use this plugin."),
      backToSiteSettings: Drupal.t("Back to website settings")
    },
    settings: {
      style: ccOptions.style,
      disableallsites: true,
      serveraddr: ccOptions.serveraddr,
      hideprivacysettingstab: window.self === window.top ? ccOptions.privacy : true,
      bannerPosition: ccOptions.bannerPosition,
      tagPosition: ccOptions.tagPosition,
      refreshOnConsent: ccOptions.refreshOnConsent,
      link: ccOptions.link
    }
  });

  cc.onfirstload();
});